{ config, lib, ... }:

{
  nixpkgs.config = {
    allowUnfree = true;
    mpv.vaapiSupport = (lib.elem "xserver" config.machine.services);

    packageOverrides = pkgs: with pkgs; rec {
      theme_flat-remix = callPackage ./flat-remix { };
      theme_sddm_midnight = callPackage ./sddm_midnight { };
      xdiskusage = callPackage ./xdiskusage { };
    };
  };
}
